{{!-- {{log "party-inventory-browser.hbs" this}} --}}
<div class="party-inventory-browser-sheet">

    {{!-- wrapper --}}
    <div class="category inventory" style="margin-top: 5px;">

        {{!-- controls --}}
        <div class="pnl_search_controls container-border open" style="display: flex; align-items: center; padding: 20px 10px !important;">
            <select class="sel_inventory_filter adv_search_control" title="Filter Inventory">
                {{selectOptions config.gearSearchFilters selected=value localize=true}}
            </select>
            <input class="txt_inventory_search adv_search_control" type="text" placeholder="Search" title="Search Inventory" />
            <button class="id-all btn-bulk-actions" style="margin-left: 10px;"
                data-tooltip="Idenfify All Selected Items (Warning - this will Indentify ALL instances)">
                <i class="fas fa-question-circle" style="margin-right: 10px; cursor: pointer;"></i>{{localize
                "ARS.partyInventory.id"}}
            </button>
            <button class="delete-all btn-bulk-actions" style="margin-left: 10px;"
                data-tooltip="Delete All Selected Items (Warning - this will Delete ALL instances)">
                <i class="fas fa-trash" style="margin-right: 10px; cursor: pointer;"></i>{{localize
                "ARS.partyInventory.delete"}}
            </button>
            <button class="refresh-list" style="margin-left: 10px;" data-tooltip="Refresh List">
                <i class="fas fa-sync-alt" style="margin-right: 10px; cursor: pointer;"></i>{{localize
                "ARS.partyInventory.refresh"}}
            </button>
        </div>

        {{!-- inventory list --}}
        <div class="item-list inventory">
            <div class="general-subheader flexrow" style="align-items: center;">
                <div class="short-field"></div>
                <div class="item-name-details flexrow">
                    <div>
                        <div class="item-name">{{localize "ARS.name"}}</div>
                    </div>
                </div>
                {{#if isGM}}
                <div class="item-boolean" data-tooltip="{{localize 'ARS.magic'}}">
                    <i class="fa-solid fa-wand-magic-sparkles"></i>
                </div>
                <div class="item-boolean" data-tooltip="{{localize 'ARS.identification'}}">
                    <i class="fas fa-eye"></i>
                </div>
                {{/if}}

                <div class="medium-field"><i class="fas fa-weight-hanging"></i></div>
            </div>

            {{#each items as |item idx|}}

            <li class="item item-entry flexrow reveal-hidden 
                {{#if (eq item.type 'currency')}} inventory-currency-item {{/if}}" data-name="{{item.name}}" data-type="{{item.type}}"
                data-item-ids="{{item.ids}}" data-magic="{{item.magic}}" data-identified="{{item.identified}}" data-location="{{item.location}}">

                <div class="item-image">
                    <img src="{{item.img}}" data-tooltip="{{item.name}}" />
                </div>
                <div class="flexrow">

                    <div class="item-name text-trunc {{item.css}} item-preview">
                        <h4>
                            <div class="inventory-item-name">
                                {{item.name}}
                            </div>
                        </h4>
                    </div>
                    <div class="item-owner-totals" style="flex: 3; overflow: hidden">
                        {{{item.strOwnerTotals}}}
                    </div>
                </div>

                {{#if ../isGM}}
                <div class="item-show-magic item-boolean">
                    <a class="item-magic">
                        <i {{#if item.magic}} style="color:rgb(85, 85, 255)" class="fa-solid fa-wand-magic-sparkles" {{else}} class="far fa-circle"
                            {{/if}}></i>
                    </a>
                </div>
                <div class="item-show-identified item-boolean">
                    <a class="item-identified">
                        <i {{#if item.identified}} style="color:green" class="fa fa-check-circle" {{else}} class="fa fa-question-circle" {{/if}}></i>
                    </a>
                </div>
                {{/if}}
                <div data-tooltip="Total weight" class="medium-field">
                    {{item.weight}}
                </div>
            </li>
            {{/each}}
        </div>
        <div class="general-footer">
        </div>
    </div>
</div>